digiKam Developer Documentation: Digikam::ImageQualityWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::ImageQualityWidget Class Reference
Inheritance diagram for Digikam::ImageQualityWidget:

## Public Types
enum | SettingsDisplayMode { Normal , Maintenance , BQM }
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...

## Signals
void | signalSettingsChanged ()

## Public Member Functions
| ImageQualityWidget (SettingsDisplayMode displayMode, QWidget *const parent=nullptr)
void | applySettings ()
void | applySettings (KConfigGroup &)
ImageQualitySettings | defaultSettings () const
void | readSettings ()
void | readSettings (const KConfigGroup &)
void | resetToDefault ()
void | setSettings (const ImageQualitySettings &imq)
ImageQualitySettings | settings () const
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setConfigGroup (const KConfigGroup &group)
| Sets a dedicated config group that will be used to store and reload the state from.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Protected Member Functions
void | doLoadState () override
| Implement this hook method for state loading.
void | doSaveState () override
| Implement this hook method for state saving.
Protected Member Functions inherited from Digikam::StateSavingObject
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Member Function Documentation

## ◆ doLoadState()

void Digikam::ImageQualityWidget::doLoadState | ( |  | ) |
| overrideprotectedvirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ doSaveState()

void Digikam::ImageQualityWidget::doSaveState | ( |  | ) |
| overrideprotectedvirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.